M_SHM_DETACH(3)

EXPERIMENTAL_FUNC
m_shm_detach - Detach a shared memory segment from the process address space.

SYNOPSIS
#include <karma_m.h>

flag m_shm_detach

(void *addr)

DESCRIPTION
Detach a shared memory segment from the process address space.

addr
    The address of the segment, as returned by <-m_shm_attach->.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/